Skip to main content
`Ctrl`+`K`

# STShellGetContext

Returns the user-provided context associated with an `STSHELL`.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellGetContext(ST st,void *ctx)

Not Collective

## Input Parameter

- st - spectral transformation context

## Output Parameter

- ctx - the user provided context

## See Also

ST: Spectral Transformation, `STSHELL`, `STShellSetContext()`

## Level

advanced

## Location

src/sys/classes/st/impls/shell/shell.c

## Examples

src/eps/tutorials/ex10.c
src/eps/tutorials/ex36.c
src/eps/tutorials/ex35.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages